import "./globals.css";
import { AuthProvider } from "./context/AuthContext";
import AuthModalWrapper from "./components/AuthModalWrapper";
import { AuthModalProvider } from "./context/AuthModalContext";
import Navbar from "./components/navbar";
import Footer from "./components/footer";
import TopBar from "./components/top-bar";
import { CartProvider } from "./context/CartContext";
export const metadata = {
  title: "Hibuy",
  description: "",
};

export default function RootLayout({ children }) {
  return (
    <html lang="en">
      <body>
        <AuthProvider>
          <AuthModalProvider>
            <CartProvider>
              <TopBar />
              <Navbar />
              {children}
              <AuthModalWrapper />
              <Footer />
            </CartProvider>
          </AuthModalProvider>
        </AuthProvider>
      </body>
    </html>
  );
}
